{% extends "blog/base.html" %}
{% load blog thumbnail %}

{% block extrahead %}
{{block.super}}

<script type="text/javascript">
$(function() {
    var $link = $('#main-menu a[href={% url 'blog-index' %}]')
    if ($link.length < 1)
        $link = $('#main-menu a[href={% url 'blog-index' %}]')
    $link.addClass('active');    
});
</script>
{% endblock %}


{% block content %}

{{ block.super }}

<div class="blog-entry">
    <h2><a href="{{entry.get_absolute_url}}" class="highlight">{{entry.title}}</a></h2>
    <div class="info">
        {{entry.pub_date|date:"n/d/Y"}} | 
        posted by {{entry.author.get_full_name|default:entry.author.username}}
        {% for cat in entry.categories.all %}
        <a href="{% url 'blog-index' %}?cat={{cat.slug}}">{{cat}}</a>{% if not forloop.last %}, {% endif %}
        {% endfor %}
        | <a href="{{entry.get_absolute_url}}">Permalink</a>
    </div>

    <div class="body">
        {% for item in entry.content.all %}
        {% if item.text %}{{item.text|safe}}{% endif %}
        {% if item.image %}{% thumbnail item.image.filename "200x200" as thumb %}<p><img src="{{thumb.url}}" /></p>{% endthumbnail %}{% endif %}
        {% if item.video %}<p>{{item.video.embed|safe}}</p>{% endif %}
        {% endfor %}
    </div>
</div>
{% endblock %}


